﻿using JetBrains.Annotations;
using OpcLabs.BaseLibFactory;
using OpcLabs.EasyOpc.AlarmsAndEvents.OperationModel;

namespace OpcLabs.EasyOpcFactory.AlarmsAndEvents.OperationModel
{
    static public class AEAcknowledgeConditionArgumentsInstances
    {
        [NotNull]
        static public AEAcknowledgeConditionArguments Instance0 => new AEAcknowledgeConditionArguments();

        [NotNull]
        static public AEAcknowledgeConditionArguments Instance1 => new AEAcknowledgeConditionArguments(
            ServerDescriptorInstances.Instance1,
            AENodeDescriptorInstances.Instance1,
            "conditionName1",
            DateTimeUtcInstances.Kind_Utc,
            111,
            "acknowledgerId1",
            "comment1",
            "state1");
    }
}
