﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA.Discovery;

namespace OpcLabs.EasyOpcFactory.UA.Discovery
{
    static public class UAQueryApplicationsFilterInstances
    {
        [NotNull]
        static public UAQueryApplicationsFilter Instance1 => new UAQueryApplicationsFilter(
            "testApplicationName1", "testApplicationUriString1", "testProducturiString1");

        [NotNull]
        static public UAQueryApplicationsFilter Instance2 => new UAQueryApplicationsFilter(
            "testApplicationName2", "testApplicationUriString2", "testProducturiString2",
            new []{"first", "second"});

        [NotNull]
        static public UAQueryApplicationsFilter Instance3 => new UAQueryApplicationsFilter(
            "testApplicationName2", "testApplicationUriString2", "testProducturiString2",
            UAApplicationTypes.Server, new[] { "first", "second" });
    }
}
