﻿using JetBrains.Annotations;
using OpcLabs.BaseLib.Collections.Specialized;
using OpcLabs.EasyOpc.UA.Engine;

namespace OpcLabs.EasyOpcFactory.UA.Engine
{
    static public class UAHostParametersInstances
    {
        [NotNull]
        static public UAHostParameters Instance1 => new UAHostParameters
        {
            DiscoveryUriTemplateStrings = new StringCollection { "templateString1", "templateString2" },
        };

        [NotNull]
        static public UAHostParameters Instance2 => new UAHostParameters
        {
            DiscoveryUriTemplateStrings = new StringCollection(),
        };
    }
}
