﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA;
using OpcLabs.EasyOpc.UA.AddressSpace;
using OpcLabs.EasyOpc.UA.AddressSpace.Standard;
using OpcLabs.EasyOpc.UA.Filtering;
using OpcLabs.EasyOpcFactory.UA.AddressSpace;

namespace OpcLabs.EasyOpcFactory.UA.Filtering
{
    static public class UASimpleAttributeOperandInstances
    {
        [NotNull]
        static public UASimpleAttributeOperand Instance1 => new UASimpleAttributeOperand(
            UAObjectTypeIds.BaseEventType, 
            UAQualifiedNameCollection.Empty,
            UAAttributeId.NodeId,
            UAIndexRangeListInstances.Instance1);

        [NotNull]
        static public UASimpleAttributeOperand Instance2 => new UASimpleAttributeOperand(
            UAObjectTypeIds.BaseEventType,
            UAQualifiedNameCollectionInstances.Instance1,
            UAAttributeId.Value,
            UAIndexRangeListInstances.Instance2);
    }
}
