﻿using JetBrains.Annotations;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using OpcLabs.BaseLib.IdentityModel.User;
using OpcLabs.UnitTestLib;

namespace OpcLabs.BaseLibTest.IdentityModel.User
{
    public partial class TokenSelectionPolicyTest
    {
        [TestCategory("BinarySerialization")]
        [TestMethod]
        public void BinarySerializationTest0()
        {
            Tests.BinarySerializationTest(CreateSerializationTarget0());
        }

        //[TestCategory("BinarySerialization")]
        //[TestMethod]
        //public void BinarySerializationTest1()
        //{
        //    TestUtilities.BinarySerializationTest(CreateSerializationTarget1());
        //}

        [TestCategory("XmlSerialization")]
        [TestMethod]
        public void XmlSerializationTest0()
        {
            Tests.XmlSerializationTest(CreateSerializationTarget0());
        }

        //[TestCategory("XmlSerialization")]
        //[TestMethod]
        //public void XmlSerializationTest1()
        //{
        //    TestUtilities.XmlSerializationTest(CreateSerializationTarget1());
        //}

        [NotNull]
        static public TokenSelectionPolicy CreateSerializationTarget0()
        {
            return new TokenSelectionPolicy();
        }

        //[NotNull]
        //static public UATokenSelectionPolicy CreateSerializationTarget1()
        //{
        //    return new UATokenSelectionPolicy
        //    {
        //        //...
        //    };
        //}
    }
}
