﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.DataAccess;
using OpcLabs.EasyOpc.DataAccess.Engine;
using OpcLabs.EasyOpcFactory.DataAccess.Engine;

namespace OpcLabs.EasyOpcFactory.DataAccess
{
    static public class EasyDAClientSelectorInstances
    {
        [NotNull]
        static public EasyDAClientSelector Instance1 => new EasyDAClientSelector
        {
            Differentiator = "TestDifferentiator",
            InstanceParameters = EasyDAInstanceParametersInstances.Instance1,
            Isolated = true,
            IsolatedParameters = EasyDAAdaptableParameters.Default,    // IMPROVE: use Instance1 when we add data members
        };
    }
}
