﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.DataAccess.OperationModel;

namespace OpcLabs.EasyOpcFactory.DataAccess.OperationModel
{
    static public class DAPropertyArgumentsInstances
    {
        [NotNull]
        static public DAPropertyArguments Instance0 => new DAPropertyArguments();

        [NotNull]
        static public DAPropertyArguments Instance1 => new DAPropertyArguments(
            ServerDescriptorInstances.Instance1,
            DANodeDescriptorInstances.Instance1,
            DAPropertyDescriptorInstances.Instance1);

        [NotNull]
        static public DAPropertyArguments Instance2 => new DAPropertyArguments(
            ServerDescriptorInstances.Instance2,
            DANodeDescriptorInstances.Instance2,
            DAPropertyDescriptorInstances.Instance2);
    }
}
