﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA;
using OpcLabs.EasyOpcFactory.UA.Engine;

namespace OpcLabs.EasyOpcFactory.UA
{
    static public class EasyUAClientSelectorInstances
    {
        [NotNull]
        static public EasyUAClientSelector Instance1 => new EasyUAClientSelector
        {
            Differentiator = "TestDifferentiator",
            InstanceParameters = EasyUAInstanceParametersInstances.Instance1,
            Isolated = true,
            IsolatedParameters = EasyUAAdaptableParametersInstances.Instance1,
        };
    }
}
