﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA.Engine;

namespace OpcLabs.EasyOpcFactory.UA.Engine
{
    static public class EasyUAInstanceParametersInstances
    {
        [NotNull]
        static public EasyUAInstanceParameters Instance1 => new EasyUAInstanceParameters
        {
            DiscoveryHost = "TestDiscoveryHost",
            Mode = EasyUAClientMode.Default // IMPROVE: have different one after there is some content in the Mode
        };

        [NotNull]
        static public EasyUAInstanceParameters Instance2 => new EasyUAInstanceParameters
        {
            GdsEndpointDescriptor = UAEndpointDescriptorInstances.Instance1
        };
    }
}
