﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA;
using OpcLabs.EasyOpc.UA.OperationModel;

namespace OpcLabs.EasyOpcFactory.UA.OperationModel
{
    static public class UAAttributeArgumentsInstances
    {
        [NotNull]
        static public UAAttributeArguments Instance0 => new UAAttributeArguments();

        [NotNull]
        static public UAAttributeArguments Instance1 => new UAAttributeArguments(UANodeArgumentsInstances.Instance1)
        {
            AttributeId = UAAttributeId.Executable,
            IndexRangeList = UAIndexRangeListInstances.Instance1,
        };
    }
}
