﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA;
using OpcLabs.EasyOpcFactory.UA.AddressSpace;

namespace OpcLabs.EasyOpcFactory.UA
{
    static public class UAReadParametersInstances
    {
        [NotNull]
        static public UAReadParameters Instance1 => new UAReadParameters
        {
            MaximumAge = 1001,
        };

        [NotNull]
        static public UAReadParameters Instance2 => new UAReadParameters
        {
            EncodingName = UAQualifiedNameInstances.Instance1
        };

        [NotNull]
        static public UAReadParameters Instance3 => new UAReadParameters
        {
            MaximumAge = 1002,
            EncodingName = UAQualifiedNameInstances.Instance2
        };
    }
}
