﻿using System;
using JetBrains.Annotations;
using OpcLabs.BaseLib.Identification;
using OpcLabs.BaseLibFactory.OperationModel;
using OpcLabs.UnitTestLib;

namespace OpcLabs.BaseLibTest
{
    static class AssemblyReferences
    {
        static AssemblyReferences()
        {
            // Assure that the assemblies are loaded.
            ReferenceType(typeof(TestSuite));                   // UnitTestLib
            ReferenceType(typeof(CookieManager));               // BaseLib
            ReferenceType(typeof(OperationArgumentsInstances)); // BaseLibFactory
        }

        // ReSharper disable once UnusedParameter.Local
        static void ReferenceType([NotNull] Type type)
        {
            // do nothing
        }
    }
}
