﻿
using OpcLabs.BaseLib.Collections.Generic.Extensions;
using OpcLabs.BaseLib.Forms.Testing;
using OpcLabs.EasyOpc.UA.Forms.Browsing;

namespace OpcLabs.EasyOpcFormsTestApp.Multi
{
    static class Commands
    {
        static internal void CompositeLiveBinding()
        {
            var form = new CompositeLiveBindingForm();
            form.Show();
        }

        static internal void Dialogs()
        {
            var dialogTypes = DialogsForm.GetConcreteDialogTypes(typeof(UABrowseDialog).Assembly);
            var form = new DialogsForm();
            form.Types.AddRange(dialogTypes);
            form.Show();
        }
    }
}
