﻿//using System.Diagnostics;
//using JetBrains.Annotations;
//#if (NETFRAMEWORK)
//using Microsoft.QualityTools.Testing.Fakes;
//#endif
//using Microsoft.VisualStudio.TestTools.UnitTesting;
//using OpcLabs.EasyOpc.UA;
//using OpcLabs.EasyOpc.UA.LiveMapping;
//using OpcLabs.EasyOpcLiveTest.UA.Environment;
//using OpcLabs.EasyOpcLiveTest.UA.Environment.UASampleServer;
//using OpcLabs.UnitTestLib;

//namespace OpcLabs.EasyOpcLiveTest.UA.LiveMapping
//{
//    class SimpleTester
//    {
//        private class TestRecord
//        {
//            public int Count { get; set; }
//        }

//#if (NETFRAMEWORK)
//        public void SubscribeTest()
//        {
//            const int timeout = 10 * 1000;
//            const int period = 1000;

//            TestSection.Arrange();

//            UAEndpointDescriptor endpointDescriptor = UALiveTestEnvironment.OpcFoundation_UASampleServer.EndpointDescriptors.OpcTcp;
//            TestEnvironment.PrecheckEndpoint(endpointDescriptor);

//            using (ShimsContext.Create())
//            {
//                var testRecord = new TestRecord();

//                var mapper = new UAClientMapper();
//                var testTarget = new ObjectsNode();
//                testTarget.Data.Dynamic.UserScalar.PropertyChanged += (sender, args) =>
//                {
//                    Debug.Assert(args != null);
//                    Debug.Assert(sender != null);
//                    if (args.PropertyName == "Int32Value")
//                    {
//                        testRecord.Count++;
//                        AssertUtilities.WriteLine(((UserScalarNode)sender).Int32Value);
//                    }
//                };

//                mapper.Map(testTarget,
//                           new UAMappingContext
//                               {
//                                   EndpointDescriptor = endpointDescriptor,
//                                   SubscriptionParameters = 100
//                               });

//                TestSection.Act();

//                mapper.Subscribe(true);
//                //mapper.Subscribe(mapper.Mappings.Where(mapping => mapping.BelongsTo(testTarget, false)));
//                AssertUtilities.WaitingPhase(timeout);
//                mapper.Subscribe(false);

//                TestSection.Assert();

//                Assert.IsTrue(testRecord.Count >= timeout / period / 2);
//            }
//        }
//#endif

//#if (NETFRAMEWORK)
//        public void ReadTest()
//        {
//            UAEndpointDescriptor endpointDescriptor = UALiveTestEnvironment.OpcFoundation_UASampleServer.EndpointDescriptors.OpcTcp;
//            using (TestEnvironment.RequestLockFor(endpointDescriptor))
//            {
//                TestEnvironment.PrecheckEndpoint(endpointDescriptor);

//                using (ShimsContext.Create())
//                {
//                    var mapper = new UAClientMapper();
//                    var testTarget = new ObjectsNode();
//                    testTarget.Data.Static.UserScalar.PropertyChanged += (sender, args) =>
//                    {
//                        Debug.Assert(sender != null);
//                        Debug.Assert(args != null);

//                        if (args.PropertyName == "Int32Value")
//                        {
//                            AssertUtilities.WriteLine(((UserScalarNode) sender).Int32Value);
//                        }
//                    };

//                    mapper.Map(testTarget, new UAMappingContext {EndpointDescriptor = endpointDescriptor});

//                    const int value = 878378546;

//                    new EasyUAClient().WriteValue(UALiveTestEnvironment.OpcFoundation_UASampleServer.EndpointDescriptors.OpcTcp,
//                        OpcFoundation_UASampleServer.NodeIdExpandedTexts.Data_Static_UserScalar_Int32Value, value);

//                    testTarget.Data.Static.UserScalar.Int32Value = 999999999;
//                    mapper.Read();
//                    // IMPROVE: 
//                    //mapper.Read(from mapping in mapper.Mappings where mapping.GetTargetObject() == testTargetSimulation select mapping);
//                    //mapper.Read(from mapping in mapper.Mappings where mapping.BelongsTo(testTarget.Simulation) select mapping);
//                    Assert.AreEqual(value, testTarget.Data.Static.UserScalar.Int32Value);
//                }
//            }
//        }
//#endif



//        [NotNull]
//        private UALiveTestEnvironment TestEnvironment => UALiveTestEnvironment.Current;
//    }
//}
