﻿
using JetBrains.Annotations;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using OpcLabs.BaseLib.DataTypeModel;
using OpcLabs.EasyOpc.UA.DataTypeModel.Implementation;

namespace OpcLabs.EasyOpcTest.UA.DataTypeModel.Internal
{
    partial class DeveloperTest
    {
        #region Static Private Properties

        [NotNull]
        static private StructuredData IntegerArray_0Data => new StructuredData
        {
            {"Size", new PrimitiveData(0)},
            {"Array", new SequenceData()}
        };

        [NotNull]
        static private byte[] IntegerArray_0ExtensionObjectBody => new byte[4];

        #endregion



        #region Test Methods

        [TestMethod]
        public void EncodeErrorTest_BinarySystemDataTypeDescriptionDuplicate() =>
            EncodeErrorTest(null, TypeDictionaryByteArray, "IntegerArray", IntegerArray_0Data, UADataTypeModelErrorCodes.OpcBinarySystemDataTypeDescriptionDuplicate);

        #endregion
    }
}
