﻿using JetBrains.Annotations;
using OpcLabs.BaseLib.Collections.Specialized;

namespace OpcLabs.OpcInteroperabilityTest.Legacy.UA
{
    class UAInteroperabilityWorkshopParameters
    {
        public bool AlwaysUseUserNameAndPassword { get; set; } = false;

        [NotNull]
        public string ArrayReadableNode { get; set; } = "";

        [NotNull]
        public string ArrayWriteableNode { get; set; } = "";

        [NotNull]
        public string CommonEndpointUrlString { get; set; } = "";

        [NotNull]
        public string DynamicNode1 { get; set; } = "";

        [NotNull]
        public string DynamicNode2 { get; set; } = "";

        [NotNull]
        public string HttpsEndpointUrlString { get; set; } = "";

        public int MaximumSearchNodes = 100;

        [NotNull]
        public string NodeForDeadband { get; set; } = "";

        [NotNull]
        public string Password { get; set; } = "";

        public bool Pingable { get; set; } = true;

        [NotNull]
        public StringCollection ReadNodes { get; } = new StringCollection();

        public int SamplingIntervalDeadband { get; set; } = 1000;

        public int SamplingInterval1 { get; set; } = 2000;

        public int SamplingInterval2 { get; set; } = 5000;

        [NotNull]
        public StringCollection ServerNotSupportedTests { get; } = new StringCollection();

        [NotNull]
        public string StaticNode { get; set; } = "";

        [NotNull]
        public string UATcpEndpointUrlString { get; set; } = "";

        public bool UseIsolatedClient { get; set; } = true;

        [NotNull]
        public string UserName { get; set; } = "";

        [NotNull]
        public string WriteableNode { get; set; } = "";

        public bool WriteWithUserNameIdentity { get; set; } = false;
    }
}
